import React from "react";
import "./CustomNumberPanelCss.less";
import { CustomNumberItem } from "./CustomNumContainer";
export declare class CustomNumberPanel extends React.Component<{
    store: CustomNumberStore;
}> {
    render(): JSX.Element;
}
export declare class CustomNumberStore {
    title: string;
    label: string;
    orderName: string;
    option: React.PropsWithChildren<{
        items: CustomNumberItem[];
    }>;
    onChange: (items: CustomNumberItem[], dragIndex: number, hoverIndex: number) => void;
    onDoubleClick: (id: number) => void;
    onOk: () => Promise<void>;
}
//# sourceMappingURL=CustomNumberPanel.d.ts.map