import { Vector3 } from "three";
import { LineAngularDimension } from "../../DatabaseServices/Dimension/2LineAngularDimension";
import { BreakDimTool } from "./BreakDimTool";
export declare class BreakDimLineAngular extends BreakDimTool {
    private _l1Sp;
    private _l1Ep;
    private _l2Ep;
    private _l2Sp;
    private _arc;
    private _narc;
    private _Line;
    /**
    * 重载: 当绘制开始时,会拷贝标注,此时你可以进行一些操作
    * @param dim
    * @returns and jig draw
    */
    protected CloneDimension(dim: LineAngularDimension): LineAngularDimension;
    /**
    * 重载,当绘制时发生
    * @param dim
    */
    protected Drawed(p: Vector3): void;
    /**
     * 重载:当用户点击的位置改变时,调用这个函数
     * @param p
     * @param dim
     */
    protected UpdateNextPoint(p: Vector3, dim1: LineAngularDimension, dim2: LineAngularDimension): void;
    /**
     * 重载:绘制结束后,将调用这个函数
     */
    protected EndDraw(): void;
    /**
     * 重载:停止绘制后,将调用这个函数
     */
    protected StopDraw(): void;
}
//# sourceMappingURL=BreakDimLineAngular.d.ts.map