import { Singleton } from "../../Common/Singleton";
import { Board } from "../../DatabaseServices/Entity/Board";
import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { ShareBoardInfConfigurationOption } from "../../UI/Store/BoardInterface";
import { IConfigStore } from '../../UI/Store/BoardStore';
interface IProps {
    showBom?: boolean | null;
}
export declare class ShareViewStore extends Singleton implements IConfigStore {
    Index: number[];
    RoomName: string;
    SelectedBoard: Board;
    ViewIDErrorMsg: string;
    Theme: 'light' | 'dark' | string;
    ThemeLog: 'light' | 'dark' | string;
    Props: IProps;
    m_Option: ShareBoardInfConfigurationOption;
    viewUploadProps: ShareBoardInfConfigurationOption;
    configName: string;
    SaveConfig(): IConfigOption<import("../../UI/Store/BoardInterface").AnyObject>;
    configsNames: string[];
    InitOption(): void;
    UpdateOption(cof: IConfigOption<ShareBoardInfConfigurationOption>): void;
}
export {};
//# sourceMappingURL=ShareViewStore.d.ts.map