import { Board } from "../../DatabaseServices/Entity/Board";
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { ICompHardwareOption, IToplineOption } from "../../UI/Components/RightPanel/RightPanelInterface";
import { BoxInfo } from "./Service";
export declare function ForbiddenToaster(action: () => Promise<void> | void): void;
export declare function ExplosionView(index: number, distance: number): Promise<void>;
export declare function resetBoxView(): void;
export declare function GetBoxCovers(callback: (url: string, item: BoxInfo, index: any) => void): Promise<any[]>;
export declare function GetBoxItemInfo(entites: Entity[]): {
    boardList: Board[];
    hardwareCompositeList: ICompHardwareOption[];
    hardwareToplineList: IToplineOption[];
};
export declare function SwitchDoor(visible: boolean): Promise<void>;
export declare function CreateBoxDim(): Promise<void>;
export declare function DeleteBoxDim(): Promise<void>;
export declare function ToFixed(val: any): any;
export declare function SPGetSpiteSize(board: Board): {
    height: any;
    width: any;
    thickness: any;
};
export declare function MaterialDetailScrollTo(): void;
export declare function ChangeThemeColor(type: 'light' | 'dark' | string): void;
//# sourceMappingURL=Util.d.ts.map