import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IGrooveOption, IUiOption } from "../../UI/Store/BoardInterface";
import { BoardStore } from "../../UI/Store/BoardStore";
import { IRec2BrOption } from "./R2bInterface";
export declare class Rec2BrStore extends BoardStore<IRec2BrOption> {
    m_Option: IRec2BrOption;
    grooveOption: IGrooveOption;
    private m_UiGrooveOption;
    get UiGrooveOption(): IUiOption<IGrooveOption>;
    InitOption(): void;
    HasInvailValue(): string;
    SaveConfig(): IConfigOption<import("../../UI/Store/BoardInterface").AnyObject>;
    UpdateRemarks(cof: IConfigOption<IRec2BrOption>): void;
    UpdateOption(cof: IConfigOption<IRec2BrOption>): Promise<void>;
    InitConfigs(): {
        默认: IConfigOption<IRec2BrOption>;
    };
}
//# sourceMappingURL=Rec2BrStore.d.ts.map