import { Vector3 } from "three";
import { AlignedDimension } from "./AlignedDimension";
/**
 * 线性标注 http://docs.autodesk.com/ACD/2011/ENU/filesDXF/WS1a9193826455f5ff18cb41610ec0a2e719-7a23.htm
 * 如果按照Autodesk实现的线性标注,这个其实应该叫做AcDbRotatedDimension,而且提供50祖玛(旋转角度) 52(暂时不知道有啥用)
 * 现在的实现是根据ArmPt来实现固定的垂直标注或者水平标注
 */
export declare class LinearDimension extends AlignedDimension {
    private _DimDir;
    get TextPosition(): Vector3;
    set TextPosition(p: Vector3);
    OnChangeFootPt(): void;
}
//# sourceMappingURL=LinearDimension.d.ts.map