import { IObservableValue } from "mobx";
import React from "react";
import { IDrawerDoorTempInfo } from "../../../../../../UI/Store/DoorInterface";
import { ITemplateParam } from "../../../../../../UI/Store/RightPanelStore/ITemplateParam";
import { DoorWindowPanelStore } from "./WindowPanelStore";
export interface IWindowTempSelectProps {
    selectDiv?: HTMLElement;
    store: DoorWindowPanelStore;
    location?: IObservableValue<string>;
    resourceClass: string;
}
export declare class WindowTempSelect extends React.Component<IWindowTempSelectProps, {}> {
    _CurrentProps: ITemplateParam[];
    _CurrentInfo: IDrawerDoorTempInfo;
    _Container: HTMLElement;
    _FilterNameMap: Map<string, string>;
    constructor(props: any);
    componentDidMount(): void;
    render(): JSX.Element;
    private handleClose;
    private applySelectTemp;
}
//# sourceMappingURL=WindowTempSelect.d.ts.map