import { CADFiler } from "../../CADFiler";
import { CADObject } from "../../CADObject";
import { ObjectId } from "../../ObjectId";
import { RoomHolePolyline } from "../../Room/Entity/Wall/Hole/RoomHolePolyline";
import { TemplateRecord } from "../TemplateRecord";
/**
 * 弧形窗
 */
export declare class TemplateArcWindowRecord extends TemplateRecord {
    constructor();
    HoleObjectId: ObjectId<RoomHolePolyline>;
    ArcWallIndex: number;
    InitWindowFrame(hole: RoomHolePolyline, arcWallIndex: number): void;
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=TemplateArcWindowRecord.d.ts.map