import { Database } from "./Database";
/**
 * 事务
 */
export declare class Transaction {
    m_Db: Database;
    constructor(_db: Database);
    /**
     * 终止事务的事务堆栈顶部。这终止导致立即回滚该事务开始以后做的所有更改。回滚应用于所有transaction-resident对象在所有事务。
     *
     * @memberof Transaction
     */
    Abort(): void;
    AddNewlyCreatedDBObject(): void;
    Commit(): void;
    GetAllObjects(): void;
    GetObject(): void;
}
//# sourceMappingURL=Transaction.d.ts.map