import { BufferGeometry } from "three";
import { CSG } from "../csg/core/CSG";
import { Polygon } from "../csg/core/math/Polygon3";
import { LineGeometry } from "three/examples/jsm/lines/LineGeometry";
export declare class EdgesGeometry extends BufferGeometry {
    /**
     * 在使用Extrude实体的时候,有可能导致面无限分裂,并且有可能造成丢线问题,使用FromCSG方法可解.
     */
    FromGeometry(geometry: any, thresholdAngle?: number): this;
    /**
     * 解决原来算法性能低下并且结果不理想的问题
     */
    FromCSG(csg: CSG): this;
    PolygonsOutline(polygons: Polygon[], coords: number[]): void;
}
export declare class CLineGeometry extends LineGeometry {
    FromCSG(csg: CSG): this;
    PolygonsOutline(polygons: Polygon[], coords: number[]): void;
}
//# sourceMappingURL=EdgeGeometry.d.ts.map