import { Individual } from "./Individual";
import { Part } from "./Part";
import { Path } from "./Path";
/**
 * 优化器
 * 配置优化器
 * 放入零件
 * 按下启动
 * 按下暂停
 * 清理机台
 */
export declare class OptimizeMachine {
    Config: {
        PopulationCount: number;
    };
    Bin: Path;
    OddmentsBins: Path[];
    Parts: Part[];
    ComparePointKeys: string[];
    private _IsSuspend;
    protected _Individuals: Individual[];
    constructor();
    PutParts(parts: Part[]): void;
    callBack: (i: Individual) => Promise<void>;
    Start(): Promise<void>;
    calcCount: number;
    best: number;
    bestP: Individual;
    bestCount: number;
    private Run;
    Suspend(): void;
    Continue(): void;
    Clear(): void;
}
//# sourceMappingURL=OptimizeMachine.d.ts.map