import React, { Component, RefObject } from 'react';
import { TopPanelStore } from '../../../Store/TopPanelStore';
import GalleryStore from '../GalleryStore';
import { IGalleryItem } from '../interface/GalleryInterfaces';
export default class ManageGallery extends Component {
    GalleryStore: GalleryStore;
    TopPanelStore: TopPanelStore;
    formRef: RefObject<HTMLFormElement>;
    loading: boolean;
    openDrawer: boolean;
    currGallery: IGalleryItem;
    isOpenDeleteAlert: boolean;
    galleryFilterParams: {
        class_id: number;
        state: number;
        audit_state: number;
        shop_name: string;
    };
    currPage: number;
    AddNewGallery: () => void;
    OnFlitersChange: (curr_page?: number) => Promise<void>;
    SearchShop: (e?: React.FormEvent<HTMLFormElement> | React.KeyboardEvent<HTMLInputElement>) => Promise<void>;
    componentDidMount(): Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=ManageGallery.d.ts.map