import * as React from 'react';
import { MaterialTable } from '../../DatabaseServices/MaterialTable';
import { PhysicalMaterialRecord } from '../../DatabaseServices/PhysicalMaterialRecord';
import './MaterialExplorer.less';
/**
 * 材质浏览器
 * 没有使用装饰器来实现右键菜单的原因:
 * https://github.com/palantir/blueprint/issues/2972
*/
export declare class MaterialExplorer extends React.Component<{
    materialTable: MaterialTable;
}, {}> {
    private _MaterialListPanelRef;
    private _selectMtls;
    private _RemoveFunc;
    constructor(p: any, s: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleDrop: (e: DragEvent) => Promise<void>;
    handleClick: (mat: PhysicalMaterialRecord) => void;
    render(): JSX.Element;
    handleCreateMaterial: () => void;
}
//# sourceMappingURL=MaterialExplorer.d.ts.map