import * as React from 'react';
import { BoardOpenDir } from '../../Store/BoardInterface';
export interface IGetRoomInfo {
    roomName: string;
    cabName: string;
    useCabName: boolean;
    cabIndex?: number;
    originCabName: string;
    boardName?: string;
    hingeName?: string;
    useBoardName?: boolean;
    material?: string;
    color?: string;
    brMat?: string;
    useMaterial?: boolean;
    openDir?: BoardOpenDir | string;
    remarks?: [string, string][];
    lockRoomName?: boolean;
    lockCabName?: boolean;
    lockBoardName?: boolean;
}
interface IGetRoomCabNameProps {
    option: IGetRoomInfo;
    needBoardName?: boolean;
}
export declare class GetRoomCabName extends React.Component<IGetRoomCabNameProps> {
    private getOption;
    render(): JSX.Element;
    private handleChangeCabName;
}
export {};
//# sourceMappingURL=GetRoomCabName.d.ts.map