import { IObservableValue } from 'mobx';
import * as React from 'react';
import { TemplateAction } from '../../../DatabaseServices/Template/Action/TemplateAction';
import { ITemplateParam } from "../../Store/RightPanelStore/ITemplateParam";
import { TempalteEditorStore } from '../../Store/TemplateEditorStore';
import { IActionParam } from './TemplateActionList';
export declare enum EEditorActionType {
    Add = 0,
    Editor = 1,
    AddFillet = 2,
    AddParams = 3,
    SetMaterial = 4,
    SetEdge = 5
}
export declare enum ActionStretchType {
    Grips = 0,
    ScaleBox = 1
}
export interface ITempalteActionDialogProps {
    store: TempalteEditorStore;
    type: EEditorActionType;
    open: IObservableValue<boolean>;
    currentAction?: TemplateAction;
    currentNodePath?: number[];
    currentActionInfo?: IActionParam;
}
/**
 * 添加参数
 * 添加动作
 */
export declare class TempalteActionDialog extends React.Component<ITempalteActionDialogProps> {
    pararmConfig: ITemplateParam;
    actionType: EEditorActionType;
    actionRadioSelect: ActionStretchType;
    actionUseMaterialInfo: boolean;
    actionSetComEntsMaterial: boolean;
    private renderDialogBody;
    private renderActionDialog;
    private renderParamsDialog;
    componentWillUnmount(): void;
    render(): JSX.Element;
    handleClick: () => Promise<void>;
    handleModifyAction: () => void;
    private addAction;
    private addActionToTemplate;
    private addTemplateParam;
    private handleAddNode;
    handleCloseDialog: () => void;
}
//# sourceMappingURL=TemplateActionDiglog.d.ts.map