import { IConfigOption } from "../../Components/Board/UserConfigComponent";
import { IConfigStore } from "../BoardStore";
import { BoardEdgesEditor } from "./BoardEdgesEditor";
export declare class SealingStore extends BoardEdgesEditor implements IConfigStore {
    isNotUpdateStore: boolean;
    highSizes: string[];
    private static _SingleInstance;
    static GetInstance(): SealingStore;
    option: {
        highSizes: string[];
    };
    InitData(): Promise<void>;
    configName: string;
    configsNames: string[];
    InitOption(): void;
    SaveConfig(): {
        option: {
            highSizes: string[];
        };
    };
    UpdateOption(cof: IConfigOption): void;
    protected InitCurve(): void;
    protected ShowToaster(): void;
    private _dataMap;
    protected ParseData(isCheck?: boolean): void;
    protected WriteData(): Promise<void>;
    Check(): boolean;
}
//# sourceMappingURL=SealingStore.d.ts.map