import { Command } from '../../Editor/CommandMachine';
import { ISpaceParse } from '../../Geometry/SpaceParse/ISpaceParse';
import { BoardModalType } from "../../UI/Components/Board/BoardModalType";
import { BoardType } from '../../UI/Store/BoardInterface';
import { BehindBoardStore, LayerBoardStore, VerticalBoardStore } from '../../UI/Store/BoardStore';
export declare abstract class DrawBoardTool implements Command {
    protected drawType: BoardType;
    protected modalType: BoardModalType;
    protected store: LayerBoardStore | VerticalBoardStore | BehindBoardStore;
    protected space: ISpaceParse;
    exec(): Promise<void>;
    private Callback;
    private SelectAndBuildBoard;
    protected buildBoard(isAppendSpace?: boolean): Promise<void>;
}
//# sourceMappingURL=DrawBoardTool.d.ts.map