import { KJLImportConfigOption } from "../KJLImportConfig/KJLImportConfigOption";
import { KJL_DrillData, KJL_Parameter, KJL_ParamModel } from "./KJLInterface";
export declare class KJLEdgeAndDrillParse {
    KjlEdgeValueMap: Map<number, number>;
    KjlDrillValueMap: Map<number, number>;
    constructor(config: {
        option: KJLImportConfigOption;
    });
    LoadValueMap(valueMap: [number, number][]): Map<number, number>;
    ParseSeals(model: KJL_ParamModel): number[] | undefined;
    ParseDrilling(params: KJL_Parameter[]): KJL_DrillData | undefined;
    REG_EC: RegExp;
    ParseEdges(params: KJL_Parameter[]): KJL_DrillData | undefined;
}
//# sourceMappingURL=KJLEdgeAndDrillParse.d.ts.map