import { BoxBufferGeometry, Object3D } from "three";
import { Box3Ext } from "../../Geometry/Box";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { Entity } from "./Entity";
export declare function GetBoxGeoBufferGeometry(): BoxBufferGeometry;
export declare class BoxSolid extends Entity {
    private _length;
    private _width;
    private _height;
    OnlyRenderType: boolean;
    private _opacity;
    constructor(_length?: number, _width?: number, _height?: number);
    get Length(): number;
    get Width(): number;
    get Height(): number;
    set Length(v: number);
    set Width(v: number);
    set Height(v: number);
    set Opacity(o: number);
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, obj: Object3D): void;
    get BoundingBoxInOCS(): Box3Ext;
    get BoundingBox(): Box3Ext;
}
//# sourceMappingURL=BoxSolid.d.ts.map