import Flatbush from "flatbush";
import { Vector3 } from "three";
import { Route } from "../../../../Geometry/CurveMap";
import { Curve } from "../../../Entity/Curve";
export declare class RoomWallPlaceUHoleHelper {
    constructor();
    _CurveIndexMap: Map<Curve, number>;
    _CurveSet: Set<Curve>;
    _Routes: Route[];
    _fb: Flatbush;
    Init(): void;
    FindPlace(p: Vector3): Route;
    GetWall(r: Route): import("../../Entity/Wall/RoomWallBase").RoomWallBase;
}
//# sourceMappingURL=RoomWallPlaceUHoleHelper.d.ts.map