import { CADFiler } from "../../CADFiler";
import { Board } from "../../Entity/Board";
import { HardwareCompositeEntity } from "../../Hardware/HardwareCompositeEntity";
import { ObjectId } from "../../ObjectId";
import { Positioning } from "./Positioning";
/**
 * 拉手的定位空间
 */
export declare class PositioningHandleSpace extends Positioning {
    constructor(_ObjectId?: ObjectId<Board | HardwareCompositeEntity>);
    ObjectId: ObjectId<Board | HardwareCompositeEntity>;
    /**
    * 定位
    */
    Positioning(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=PositioningHandleSpace.d.ts.map