import { Vector2 } from "three";
import { Editor } from "./Editor";
export declare enum GestureDir {
    None = 0,
    Right = 1,
    Top = 2,
    Left = 4,
    Down = 8,
    All = 255
}
export declare class Gesture {
    private editor;
    get Disable(): boolean;
    private _MouseDown;
    private _MousePath;
    constructor(editor: Editor);
    private RegisterEvent;
    private onBlur;
    private onMouseDown;
    private onMouseUp;
    private onMouseMove;
    private ParsePath;
    OnGestureEndEvent(dirs: GestureDir[], path: Vector2[]): void;
    OnMouseMoveEvent(path: Vector2[]): void;
}
export declare function GestureDirEqual(gd: GestureDir[], gdt: GestureDir[]): boolean;
//# sourceMappingURL=Gesture.d.ts.map