/// <reference types="react" />
import { Vector3 } from "three";
import { MouseKey } from "../../Common/KeyEnum";
import { Singleton } from "../../Common/Singleton";
export type Touch_Event = React.TouchEvent<HTMLElement> | TouchEvent;
export type Pointer_Event = React.PointerEvent<HTMLElement> | PointerEvent;
export declare class VirtualMouseEditor extends Singleton {
    private _Enable;
    StartTouchPoint: Vector3;
    EndTouchPoint: Vector3;
    private MouseUILeftDBClick;
    constructor();
    get Enable(): boolean;
    set Enable(v: boolean);
    RegisterMouseUIEvents: (isRegister: boolean) => void;
    MouseUIEventTrigger: (e: TouchEvent) => void;
    _TouchStartTime: any;
    onTouchStart: (event: Touch_Event, button?: MouseKey) => void;
    onTouchEnd: (event: Touch_Event, button?: MouseKey) => void;
    onTouchMove: (event: Touch_Event) => void;
}
export declare function LeftClickTimesJudgment(): (callback: () => void) => void;
//# sourceMappingURL=VirtualMouseEditor.d.ts.map