import { BufferGeometry, Line, LineBasicMaterial, Matrix4, Object3D } from "three";
import { ExtrudeHole } from "../DatabaseServices/3DSolid/ExtrudeHole";
import { Board } from "../DatabaseServices/Entity/Board";
import { ExtrudeSolid } from "../DatabaseServices/Entity/Extrude";
import { Shape2 } from "../DatabaseServices/Shape2";
export declare function CreateWireframe(en3D: Board | ExtrudeSolid): Object3D[];
export declare function FastWireframe(br: ExtrudeSolid, color?: number, divCount?: number, optArc?: boolean): Line<BufferGeometry, LineBasicMaterial>[];
export declare function FastExtrudeEdgeGeometryOfShape(shape: Shape2, z0: number, z1: number, divCount?: number, optArc?: boolean, coords?: number[]): number[];
export declare function FastExtrudeEdgeGeometry(ext: ExtrudeSolid, color?: number, divCount?: number, optArc?: boolean, coords?: number[], inv?: Matrix4): number[];
export declare function FastWireframe2(dr: ExtrudeHole, color?: number): Line<BufferGeometry, LineBasicMaterial>[];
//# sourceMappingURL=CreateWireframe.d.ts.map