import { Ray } from "three";
import { Box3Ext, SplitType } from "../Box";
import { ClampSpaceParseDist } from "./ClampSpaceParseDist";
export declare class ClampSpaceParseRay extends ClampSpaceParseDist {
    private selectRay;
    SetRay(ray: Ray): this;
    /**
    * virtual (请重载) 当盒子空间被切割时,选择合适的空间
    * @param splitBoxs 切割后的盒子(2个)
    * @param splitType 切割类型
    * @returns box 盒子
    */
    SelectBox(splitBoxs: Box3Ext[], splitType: SplitType): Promise<Box3Ext>;
}
//# sourceMappingURL=ClampSpaceParseRay.d.ts.map